searchNodes=[{"doc":"Documentation for HumanName.","ref":"HumanName.html","title":"HumanName","type":"module"},{"doc":"Returns the initial for the first (given) name. Example iex&gt; HumanName . first_initial ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;J&quot; } iex&gt; HumanName . first_initial ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;A&quot; } iex&gt; HumanName . first_initial ( 12345 ) { :error , &quot;No valid name found&quot; } iex&gt; HumanName . first_initial ( &quot;&quot; ) { :error , &quot;No valid name found&quot; } iex&gt; HumanName . first_initial ( nil ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#first_initial/1","title":"HumanName.first_initial/1","type":"function"},{"doc":"Returns the initial for the first (given) name and the full last name (surname). Example iex&gt; HumanName . first_initial_last ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;J. Jenkins&quot; } iex&gt; HumanName . first_initial_last ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;A. Juniper&quot; } iex&gt; HumanName . first_initial_last ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#first_initial_last/1","title":"HumanName.first_initial_last/1","type":"function"},{"doc":"Returns just the formatted first (given) name. Example iex&gt; HumanName . first_name ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;Jimmy&quot; } iex&gt; HumanName . first_name ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Alibaster&quot; } iex&gt; HumanName . first_name ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#first_name/1","title":"HumanName.first_name/1","type":"function"},{"doc":"Returns the combined initials for the first (given) name and last (surname) name. Example iex&gt; HumanName . initials ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;JJ&quot; } iex&gt; HumanName . initials ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;AJ&quot; } iex&gt; HumanName . initials ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#initials/1","title":"HumanName.initials/1","type":"function"},{"doc":"Returns just the formatted last name (surname). Example iex&gt; HumanName . last_name ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;Jenkins&quot; } iex&gt; HumanName . last_name ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Juniper&quot; } iex&gt; HumanName . last_name ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#last_name/1","title":"HumanName.last_name/1","type":"function"},{"doc":"Returns a formatted version of just the first (given) and last (surname) names. Example iex&gt; HumanName . normalize ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;Jimmy Jenkins&quot; } iex&gt; HumanName . normalize ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Alibaster Juniper&quot; } iex&gt; HumanName . normalize ( &quot;fred mccalister &quot; ) { :ok , &quot;Fred McCalister&quot; } iex&gt; HumanName . normalize ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#normalize/1","title":"HumanName.normalize/1","type":"function"},{"doc":"Returns a formatted version of the entire name. Example iex&gt; HumanName . normalize_full ( &quot;JIMMY H JENKINS&quot; ) { :ok , &quot;Jimmy H. Jenkins&quot; } iex&gt; HumanName . normalize_full ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Alibaster Cornelius Juniper, III&quot; } iex&gt; HumanName . normalize_full ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#normalize_full/1","title":"HumanName.normalize_full/1","type":"function"},{"doc":"Elixir wrapper for David Judd's excellent human-name crate implemented as a BEAM-friendly Rust NIF. The API implemented for use in Elixir/Erlang does not cover every aspect of the Rust library. Feel free to open a PR for contributions.","ref":"readme.html","title":"HumanName","type":"extras"},{"doc":"This package can be installed by adding human_name to your list of dependencies in mix.exs : def deps do [ { :human_name , &quot;~&gt; 0.4.2&quot; } ] end By default you do not need Rust installed because the lib will try to download a precompiled NIF file. In case you want to force compilation set the HUMAN_NAME_BUILD environment variable to true or 1 . To run tests locally, you could do a HUMAN_NAME_BUILD=1 mix test . Alternatively you can also set the application env :build_from_source to true in order to force the build: config :human_name , HumanName , build_from_source : true","ref":"readme.html#installation","title":"HumanName - Installation","type":"extras"},{"doc":"iex&gt; HumanName . first_name ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Alibaster&quot; } iex&gt; HumanName . initials ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;AJ&quot; } iex&gt; HumanName . last_name ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Juniper&quot; } iex&gt; HumanName . normalize ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Alibaster Juniper&quot; } iex&gt; HumanName . normalize_full ( &quot;JIMMY H JENKINS&quot; ) { :ok , &quot;Jimmy H. Jenkins&quot; }","ref":"readme.html#usage","title":"HumanName - Usage","type":"extras"},{"doc":"MIT License See the license file for details.","ref":"readme.html#license","title":"HumanName - License","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Dependency updates for rustler , rustler_precompiled and excoveralls .","ref":"changelog.html#v0-4-2-2023-02-17","title":"Changelog - v0.4.2 (2023-02-17)","type":"extras"},{"doc":"Minor dependency updates for rustler_precompiled , ex_doc , and excoveralls .","ref":"changelog.html#v0-4-1-2022-12-15","title":"Changelog - v0.4.1 (2022-12-15)","type":"extras"},{"doc":"Updated human_name crate to v2.0.1 and updated rustler crate. Updated rustler and rustler_precompiled mix dependencies. Changed HumanName.Native return to :erlang.nif_error/1 .","ref":"changelog.html#v0-4-0-2022-10-14","title":"Changelog - v0.4.0 (2022-10-14)","type":"extras"},{"doc":"Updated human_name crate to v1.4.1.","ref":"changelog.html#v0-3-0-2022-08-01","title":"Changelog - v0.3.0 (2022-08-01)","type":"extras"},{"doc":"Updated human_name crate to v1.3.2.","ref":"changelog.html#v0-2-5-2022-07-21","title":"Changelog - v0.2.5 (2022-07-21)","type":"extras"},{"doc":"Updated human_name crate to v1.2.1.","ref":"changelog.html#v0-2-4-2022-07-16","title":"Changelog - v0.2.4 (2022-07-16)","type":"extras"},{"doc":"Updated rustler_precompiled and ex_doc dependencies.","ref":"changelog.html#v0-2-2-2022-04-29","title":"Changelog - v0.2.2 (2022-04-29)","type":"extras"},{"doc":"Now rustler_precompiled as dependency.","ref":"changelog.html#v0-2-0-2022-03-27","title":"Changelog - v0.2.0 (2022-03-27)","type":"extras"},{"doc":"Fixed mix.exs file to include the rust source files and cargo config","ref":"changelog.html#v0-1-2-2021-09-18","title":"Changelog - v0.1.2 (2021-09-18)","type":"extras"},{"doc":"Fix problem with hex not getting the full bundle","ref":"changelog.html#v0-1-1-2021-09-18","title":"Changelog - v0.1.1 (2021-09-18)","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0-2021-09-18","title":"Changelog - v0.1.0 (2021-09-18)","type":"extras"},{"doc":"MIT License Copyright (c) 2023 Adam Mokan Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]